package com.ssj.bean.kmt.kmt.dto;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
import java.util.Date;

public class CourseHandoutTemplate implements Serializable{

    /**
	 * 
	 */
	private static final long serialVersionUID = -3662602633190114655L;
	private String id;
    private String name;

    @JsonFormat(pattern = "yyyy.MM.dd", timezone = "GMT+8")
    private Date createTime;

    private String courseKnowId;

    private Integer topic;

    private String courseName;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCourseKnowId() {
        return courseKnowId;
    }

    public void setCourseKnowId(String courseKnowId) {
        this.courseKnowId = courseKnowId;
    }

    public Integer getTopic() {
        return topic;
    }

    public void setTopic(Integer topic) {
        this.topic = topic;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }
}
